twitter4j

## Interface ResponseList<T>

All Superinterfaces:
  Collection<T>, Iterable<T>, List<T>, Serializable, TwitterResponse

All Known Subinterfaces:
  DirectMessageList, PagableResponseList<T>

    public interface ResponseList<T>
    extends TwitterResponse, List<T>

List of TwitterResponse.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`RateLimitStatus` `getRateLimitStatus()` Returns the current rate limit status if available.

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### getRateLimitStatus

    RateLimitStatus getRateLimitStatus()

Description copied from interface: `TwitterResponse`
Returns the current rate limit status if available.

Specified by:
  `getRateLimitStatus` in interface `TwitterResponse`
Returns:
  current rate limit status